From 3118fa6606b8705af46febb078dbcd96e7b41a2b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 08 2020 02:46:02 +0000
Subject: [PATCH 561/2232] Type alias ident checking


---

diff --git a/syntax/ident.rs b/syntax/ident.rs
index 41eef3b..7545e92 100644
--- a/syntax/ident.rs
+++ b/syntax/ident.rs
@@ -42,7 +42,9 @@ pub(crate) fn check_all(cx: &mut Check, namespace: &Namespace, apis: &[Api]) {
                     check(cx, &arg.ident);
                 }
             }
-            Api::TypeAlias(_alias) => unimplemented!(),
+            Api::TypeAlias(alias) => {
+                check(cx, &alias.ident);
+            }
         }
     }
 }

